Skip to main content
GET
Get Folder Contents

Authorizations

x-maxim-api-key
string
header
required

API key for authentication

Query Parameters

workspaceId
string
required

Unique identifier for the workspace

Minimum string length: 1
folderId
string

Unique identifier for the folder whose contents are to be fetched

name
string

Name of the folder whose contents are to be fetched

parentFolderId
string | null

ID of the parent folder (used with name for uniqueness)

entityType
enum<string>
required
Available options:
WORKFLOW,
PROMPT_CHAIN,
DATASET,
PROMPT,
CONTEXT_SOURCE,
PROMPT_COMPARISONS,
LOG_REPOSITORY,
PROMPT_TOOL,
EVALUATOR
limit
number | null
default:20

Maximum number of records to return (max: 100)

Required range: x <= 100
cursor
string | null

Cursor for pagination

Response

Folder contents retrieved successfully

data
null[]
required

Array of entities within the folder.

pagination
object
required